﻿using Raylib_cs;
using Smoll;
using Smoll.Ex1;

Layer layer = new Layer();

var entity = new Entity(layer);
entity.Attach(new Transform2DComponent());
entity.Attach(new RectangleGizmoComponent(128, 64, Color.Red));

Raylib.InitWindow(800, 600, "Smoll");
while(!Raylib.WindowShouldClose()) {
    layer.Update();
    Raylib.BeginDrawing();
    Raylib.ClearBackground(Color.White);
    layer.Draw();
    Raylib.DrawFPS(0,0);
    Raylib.EndDrawing();
}
Raylib.CloseWindow();